"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LanguageItem = void 0;
var React = __importStar(require("react"));
var ui_1 = require("@/components/ui");
var lib_1 = require("@/lib");
var lib_2 = require("@/lib");
var item_1 = require("./item");
var LanguageItem = function () {
    var _a = (0, lib_1.useSelectedLanguage)(), language = _a.language, setLanguage = _a.setLanguage;
    var modal = (0, ui_1.useModal)();
    var onSelect = React.useCallback(function (option) {
        setLanguage(option.value);
        modal.dismiss();
    }, [setLanguage, modal]);
    var langs = React.useMemo(function () { return [
        { label: (0, lib_2.translate)('settings.english'), value: 'en' },
        { label: (0, lib_2.translate)('settings.arabic'), value: 'ar' },
    ]; }, []);
    var selectedLanguage = React.useMemo(function () { return langs.find(function (lang) { return lang.value === language; }); }, [language, langs]);
    return (<>
      <item_1.Item text="settings.language" value={selectedLanguage === null || selectedLanguage === void 0 ? void 0 : selectedLanguage.label} onPress={modal.present}/>
      <ui_1.Options ref={modal.ref} options={langs} onSelect={onSelect} value={selectedLanguage === null || selectedLanguage === void 0 ? void 0 : selectedLanguage.value}/>
    </>);
};
exports.LanguageItem = LanguageItem;
//# sourceMappingURL=language-item.js.map