"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.hydrateAuth = exports.signIn = exports.signOut = exports.useAuth = void 0;
var zustand_1 = require("zustand");
var utils_1 = require("../utils");
var utils_2 = require("./utils");
var _useAuth = (0, zustand_1.create)(function (set, get) { return ({
    status: 'idle',
    token: null,
    signIn: function (token) {
        (0, utils_2.setToken)(token);
        set({ status: 'signIn', token: token });
    },
    signOut: function () {
        (0, utils_2.removeToken)();
        set({ status: 'signOut', token: null });
    },
    hydrate: function () {
        try {
            var userToken = (0, utils_2.getToken)();
            if (userToken !== null) {
                get().signIn(userToken);
            }
            else {
                get().signOut();
            }
        }
        catch (e) {
            // catch error here
            // Maybe sign_out user!
        }
    },
}); });
exports.useAuth = (0, utils_1.createSelectors)(_useAuth);
var signOut = function () { return _useAuth.getState().signOut(); };
exports.signOut = signOut;
var signIn = function (token) { return _useAuth.getState().signIn(token); };
exports.signIn = signIn;
var hydrateAuth = function () { return _useAuth.getState().hydrate(); };
exports.hydrateAuth = hydrateAuth;
//# sourceMappingURL=index.js.map