"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var react_native_1 = require("react-native");
var text_1 = __importDefault(require("./text"));
var FilterChip = function (_a) {
    var label = _a.label, leftIcon = _a.leftIcon, rightIcon = _a.rightIcon, onPress = _a.onPress, count = _a.count, _b = _a.countColor, countColor = _b === void 0 ? '#10B981' : _b, _c = _a.disabled, disabled = _c === void 0 ? false : _c, _d = _a.selected, selected = _d === void 0 ? false : _d, _e = _a.size, size = _e === void 0 ? 'small' : _e, _f = _a.shape, shape = _f === void 0 ? 'pill' : _f, _g = _a.variant, variant = _g === void 0 ? 'outline' : _g;
    var getContainerStyle = function () {
        var baseStyle = "flex-row items-center ".concat(size === 'medium' ? 'h-[36px] px-[12px]' : 'h-[32px] px-[10px]', " ").concat(disabled ? 'opacity-50' : '');
        // Shape 스타일
        baseStyle += " ".concat(shape === 'pill' ? 'rounded-full' : 'rounded-lg');
        // Variant와 Selected 상태에 따른 스타일
        if (selected) {
            baseStyle += ' border border-[#111827]';
        }
        else {
            if (variant === 'outline') {
                baseStyle += ' border border-[#E5E7EB]';
            }
            else {
                baseStyle += ' bg-[#F3F4F6]';
            }
        }
        return baseStyle;
    };
    return (<react_native_1.TouchableOpacity activeOpacity={disabled ? 0.5 : 0.7} onPress={disabled ? undefined : onPress} className={getContainerStyle()}>
      {leftIcon && <react_native_1.View className="mr-[2px]">{leftIcon}</react_native_1.View>}
      <text_1.default face="body" size="small" weight={selected ? 'bold' : 'medium'} textColor="black" className="px-[2px]">
        {label}
      </text_1.default>
      {selected && count !== undefined && (<text_1.default face="body" size="small" weight="bold" textColor={countColor} className="ml-[2px] px-[2px]">
          {count}
        </text_1.default>)}
      {rightIcon && <react_native_1.View className="ml-[2px]">{rightIcon}</react_native_1.View>}
    </react_native_1.TouchableOpacity>);
};
exports.default = FilterChip;
//# sourceMappingURL=FilterChip.js.map