"use strict";
var __spreadArray = (this && this.__spreadArray) || function (to, from, pack) {
    if (pack || arguments.length === 2) for (var i = 0, l = from.length, ar; i < l; i++) {
        if (ar || !(i in from)) {
            if (!ar) ar = Array.prototype.slice.call(from, 0, i);
            ar[i] = from[i];
        }
    }
    return to.concat(ar || Array.prototype.slice.call(from));
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_native_1 = require("react-native");
var native_1 = require("@react-navigation/native");
var elements_1 = require("@react-navigation/elements");
var react_1 = __importDefault(require("react"));
var menu_item_1 = __importDefault(require("./menu-item"));
var BottomNavigation = function (_a) {
    var state = _a.state, descriptors = _a.descriptors, navigation = _a.navigation, config = _a.config, _b = _a.shadow, shadow = _b === void 0 ? false : _b, _c = _a.divider, divider = _c === void 0 ? false : _c;
    var buildHref = (0, native_1.useLinkBuilder)().buildHref;
    var dividerClassFlag = divider ? 'border-t border-gray-100' : '';
    // order 기준으로 routes 정렬
    var sortedRoutes = __spreadArray([], state.routes, true).sort(function (a, b) { return config[a.name].order - config[b.name].order; });
    return (<react_native_1.View className="h-[86px]" style={{ flexDirection: 'row' }}>
      {sortedRoutes.map(function (route, index) {
            var routeConfig = config[route.name];
            var isFocused = state.index === state.routes.findIndex(function (r) { return r.key === route.key; });
            var onPress = function () {
                var event = navigation.emit({
                    type: 'tabPress',
                    target: route.key,
                    canPreventDefault: true,
                });
                if (!isFocused && !event.defaultPrevented) {
                    navigation.navigate(route.name, route.params);
                }
            };
            return (<elements_1.PlatformPressable key={route.key} pressOpacity={1} href={buildHref(route.name, route.params)} accessibilityState={isFocused ? { selected: true } : {}} testID={"".concat(route.name, "-tab")} onPress={onPress} className={"flex-1 ".concat(dividerClassFlag, " bg-white justify-center items-center")}>
            <menu_item_1.default activeIcon={routeConfig.active} idleIcon={routeConfig.inactive} menuTitle={routeConfig.title} selected={isFocused} badge={routeConfig.badge}/>
          </elements_1.PlatformPressable>);
        })}
    </react_native_1.View>);
};
exports.default = BottomNavigation;
//# sourceMappingURL=bottom-navigation.js.map