"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = __importStar(require("react"));
var react_native_1 = require("react-native");
var style_utils_1 = require("./style-utils");
var PRIME_TEXT_FACE_PRESETS = {
    display: {
        small: 'text-prime-text-36',
        medium: 'text-prime-text-40',
        large: 'text-prime-text-48',
        xlarge: 'text-prime-text-56',
    },
    title: {
        xsmall: 'text-prime-text-16',
        small: 'text-prime-text-18',
        medium: 'text-prime-text-20',
        large: 'text-prime-text-22',
        xlarge: 'text-prime-text-24',
        '2xlarge': 'text-prime-text-28',
    },
    body: {
        xsmall: 'text-prime-text-13',
        small: 'text-prime-text-14',
        medium: 'text-prime-text-15',
        large: 'text-prime-text-16',
        xlarge: 'text-prime-text-18',
        '2xlarge': 'text-prime-text-20',
    },
    paragraph: {
        xsmall: 'text-prime-text-13',
        small: 'text-prime-text-14',
        medium: 'text-prime-text-15',
        large: 'text-prime-text-16',
        xlarge: 'text-prime-text-18',
        '2xlarge': 'text-prime-text-20',
    },
    caption: {
        xsmall: 'text-prime-text-10',
        small: 'text-prime-text-11',
        medium: 'text-prime-text-12',
    },
};
var WEIGHT_MAPPING = {
    thin: 'font-pretendard100',
    light: 'font-pretendard300',
    regular: 'font-pretendard400',
    medium: 'font-pretendard500',
    semibold: 'font-pretendard600',
    bold: 'font-pretendard700',
    extrabold: 'font-pretendard800',
};
function Text(_a) {
    var face = _a.face, size = _a.size, _b = _a.weight, weight = _b === void 0 ? 'regular' : _b, _c = _a.textColor, textColor = _c === void 0 ? 'black' : _c, children = _a.children, _d = _a.className, className = _d === void 0 ? '' : _d, _e = _a.underline, underline = _e === void 0 ? false : _e, restProps = __rest(_a, ["face", "size", "weight", "textColor", "children", "className", "underline"]);
    var preset = PRIME_TEXT_FACE_PRESETS[face][size];
    var weightClass = weight
        ? WEIGHT_MAPPING[weight]
        : WEIGHT_MAPPING['regular'];
    var colorClass = "".concat((0, style_utils_1.getColor)(textColor));
    var underlineClass = underline ? 'underline' : '';
    return (<react_native_1.Text {...restProps} className={"".concat(preset, " ").concat(weightClass, " ").concat(underlineClass, " ").concat(className).trim()} style={{ color: colorClass }}>
      {children}
    </react_native_1.Text>);
}
exports.default = Text;
//# sourceMappingURL=text.js.map